Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/CDIF

HD-3

Department: SUPPORT Affected Products: ADTF File Library 0.1.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: FileLibrary::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Uns ist folgendes in der ADTF Filelibrary aufgefallen:

in der Klasse DefaultSample in default_sample.h ist die Funktion

void IterateInfo(std::function<void(uint32_t key, DataType type,uint64_t raw_bytes)>functor)

 nicht wie die anderen Funktionen der Klasse auf const gesetzt.

Dadurch muss immer gecastet werden wenn darauf zugegriffen wird.

Grüße,

Anja

EB Assist ADTF Support-Team

Lösung:

https://www.cip.audi.de/jira/browse/CDIFHD-3 angelegt

History

#1 - 2017-10-12 09:43 - hidden

- Project changed from Public Support to 7

- Description updated

- Topic set to FileLibrary::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.1.0 (BETA) added

- Platform Windows 7 64bit added

#2 - 2017-10-13 15:35 - hidden

- File deleted (image001.gif)

#3 - 2017-10-13 17:23 - hidden

@Martin, ist das so richtig oder hat sich da ein Fehler eingeschlichen?

#4 - 2017-10-16 08:40 - hidden

- Status changed from New to In Progress
https://www.cip.audi.de/jira/browse/CDIFHD-3


ja das ist richtig, ich habe dafür das Ticket CDIFHD-3 erstellt.

#5 - 2017-10-17 14:43 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/CDIFHD-3

- Support Level changed from 2nd Level to 3rd Level

Produktticket angelegt, Ticket kann geschlossen werden

#6 - 2017-10-17 14:43 - hidden

- Status changed from To Be Closed to Closed

#7 - 2017-10-17 14:43 - hidden

- Subject changed from ADTFS-47829 Funktion IterateInfo() sollte const sein to ADTFS-47829 Method IterateInfo() is not const

#8 - 2018-01-25 12:03 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
